package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class SharedEthernetAdapter {
    private Metadata metadata;
    private BackingDeviceChoice backingDeviceChoice;
    private String highAvailabilityMode;
    private String deviceName;
    private String jumboFramesEnabled;
    private String portVLANID;
    private String qualityOfServiceMode;
    private String queueSize;
    private String threadModeEnabled;
    private TrunkAdapters trunkAdapters;
    private IpInterface ipInterface;
    private String uniqueDeviceID;
    private String largeSend;

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public BackingDeviceChoice getBackingDeviceChoice() {
        return backingDeviceChoice;
    }

    public void setBackingDeviceChoice(BackingDeviceChoice backingDeviceChoice) {
        this.backingDeviceChoice = backingDeviceChoice;
    }

    public String getHighAvailabilityMode() {
        return highAvailabilityMode;
    }

    public void setHighAvailabilityMode(String highAvailabilityMode) {
        this.highAvailabilityMode = highAvailabilityMode;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getJumboFramesEnabled() {
        return jumboFramesEnabled;
    }

    public void setJumboFramesEnabled(String jumboFramesEnabled) {
        this.jumboFramesEnabled = jumboFramesEnabled;
    }

    public String getPortVLANID() {
        return portVLANID;
    }

    public void setPortVLANID(String portVLANID) {
        this.portVLANID = portVLANID;
    }

    public String getQualityOfServiceMode() {
        return qualityOfServiceMode;
    }

    public void setQualityOfServiceMode(String qualityOfServiceMode) {
        this.qualityOfServiceMode = qualityOfServiceMode;
    }

    public String getQueueSize() {
        return queueSize;
    }

    public void setQueueSize(String queueSize) {
        this.queueSize = queueSize;
    }

    public String getThreadModeEnabled() {
        return threadModeEnabled;
    }

    public void setThreadModeEnabled(String threadModeEnabled) {
        this.threadModeEnabled = threadModeEnabled;
    }

    public TrunkAdapters getTrunkAdapters() {
        return trunkAdapters;
    }

    public void setTrunkAdapters(TrunkAdapters trunkAdapters) {
        this.trunkAdapters = trunkAdapters;
    }

    public IpInterface getIpInterface() {
        return ipInterface;
    }

    public void setIpInterface(IpInterface ipInterface) {
        this.ipInterface = ipInterface;
    }

    public String getUniqueDeviceID() {
        return uniqueDeviceID;
    }

    public void setUniqueDeviceID(String uniqueDeviceID) {
        this.uniqueDeviceID = uniqueDeviceID;
    }

    public String getLargeSend() {
        return largeSend;
    }

    public void setLargeSend(String largeSend) {
        this.largeSend = largeSend;
    }
}
